Package com.independentsoft.office.word

# Class Caption

java.lang.Object
com.independentsoft.office.word.Caption

public class Caption extends Object
The Class Caption.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Caption()`
  Instantiates a new caption.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Caption`
  `clone()`
  `int`
  `getChapterHeadingStyleID()`
  Gets the chapter heading style id.
  `ChapterSeparator`
  `getChapterSeparator()`
  Gets the chapter separator.
  `ExtendedBoolean`
  `getDoNotIncludeName()`
  Gets the do not include name.
  `ExtendedBoolean`
  `getIncludeChapterNumber()`
  Gets the include chapter number.
  `String`
  `getName()`
  Gets the name.
  `NumberingFormat`
  `getNumberingFormat()`
  Gets the numbering format.
  `CaptionPosition`
  `getPosition()`
  Gets the position.
  `void`
  `setChapterHeadingStyleID​(int chapterHeadingStyleID)`
  Sets the chapter heading style id.
  `void`
  `setChapterSeparator​(ChapterSeparator chapterSeparator)`
  Sets the chapter separator.
  `void`
  `setDoNotIncludeName​(ExtendedBoolean doNotIncludeName)`
  Sets the do not include name.
  `void`
  `setIncludeChapterNumber​(ExtendedBoolean includeChapterNumber)`
  Sets the include chapter number.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setNumberingFormat​(NumberingFormat numberingFormat)`
  Sets the numbering format.
  `void`
  `setPosition​(CaptionPosition position)`
  Sets the position.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Caption

    public Caption()
    Instantiates a new caption.

- ## Method Details

  - ### clone

    public Caption clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getIncludeChapterNumber

    public ExtendedBoolean getIncludeChapterNumber()
    Gets the include chapter number.
    Returns:
      the include chapter number

  - ### setIncludeChapterNumber

    public void setIncludeChapterNumber​(ExtendedBoolean includeChapterNumber)
    Sets the include chapter number.
    Parameters:
      `includeChapterNumber` - the new include chapter number

  - ### getChapterHeadingStyleID

    public int getChapterHeadingStyleID()
    Gets the chapter heading style id.
    Returns:
      the chapter heading style id

  - ### setChapterHeadingStyleID

    public void setChapterHeadingStyleID​(int chapterHeadingStyleID)
    Sets the chapter heading style id.
    Parameters:
      `chapterHeadingStyleID` - the new chapter heading style id

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getDoNotIncludeName

    public ExtendedBoolean getDoNotIncludeName()
    Gets the do not include name.
    Returns:
      the do not include name

  - ### setDoNotIncludeName

    public void setDoNotIncludeName​(ExtendedBoolean doNotIncludeName)
    Sets the do not include name.
    Parameters:
      `doNotIncludeName` - the new do not include name

  - ### getNumberingFormat

    public NumberingFormat getNumberingFormat()
    Gets the numbering format.
    Returns:
      the numbering format

  - ### setNumberingFormat

    public void setNumberingFormat​(NumberingFormat numberingFormat)
    Sets the numbering format.
    Parameters:
      `numberingFormat` - the new numbering format

  - ### getPosition

    public CaptionPosition getPosition()
    Gets the position.
    Returns:
      the position

  - ### setPosition

    public void setPosition​(CaptionPosition position)
    Sets the position.
    Parameters:
      `position` - the new position

  - ### getChapterSeparator

    public ChapterSeparator getChapterSeparator()
    Gets the chapter separator.
    Returns:
      the chapter separator

  - ### setChapterSeparator

    public void setChapterSeparator​(ChapterSeparator chapterSeparator)
    Sets the chapter separator.
    Parameters:
      `chapterSeparator` - the new chapter separator